# AssemblerPlugin

@Incubating
abstract class AssemblerPlugin : Plugin<T>

A plugin for projects wishing to build native binary components from Assembly language sources.

Automatically includes the AssemblerLangPlugin for core Assembler support and the NativeComponentPlugin for native component support.

- Creates a org.gradle.language.assembler.tasks.Assemble task for each org.gradle.language.assembler.AssemblerSourceSet to assemble the sources.

## Constructors

AssemblerPlugin
Link copied to clipboard
constructor()

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)